#!/usr/bin/python3

from utils import *
from download_page import download

# portable code to get filename
import os
platform = os.path.basename(__file__)
if platform.endswith(".py"):
	platform = platform[:(-3)]

def extract_from_url (url, verbosity):
	subst = "chirbit.com/"
	if subst in url:
		username = url[url.index(subst) + len(subst):]
		if "/" in username:
			username = username[:username.index("/")]
		return "https://www.chirbit.com/" + username + "/rss"
	else:
		return None

def extract_from_page (page, verbosity):
	username = search (page, '<span id="chirbit-username">', '</span>')
	if not username is None:
		return "https://www.chirbit.com/" + username + "/rss"

def extract (url, page=None, network=False, verbosity=3, args={}):
	feed = extract_from_url (url, verbosity)
	if not feed is None:
		return feed
	else:
		notify ("Unable to get feed from URL alone", verbosity, platform)
		if network == True:
			page = download (platform, url, args, verbosity)
			feed = extract_from_page (page, verbosity)
			if not feed is None:
				return feed
